Bug 221680 - x11-fm/caja: Crash on Directory Delete (exited on signal 6)
Summary: x11-fm/caja: Crash on Directory Delete (exited on signal 6)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-21 01:11 UTC by vermaden
Modified: 2018-05-24 08:59 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
caja.truss.txt (151.86 KB, application/gzip)
2017-08-21 01:11 UTC, vermaden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vermaden 2017-08-21 01:11:51 UTC
Created attachment 185623 [details]
caja.truss.txt

/var/log/messages
Aug 21 02:30:23 t520 kernel: pid 48351 (caja), uid 1000: exited on signal 6

% truss -o caja.truss.txt caja
Xlib:  extension "GLX" missing on display ":0".

** (caja:42323): WARNING **: Could not inhibit power management: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Name "org.gnome.SessionManager" does not exist
GLib (gthread-posix.c): Unexpected error from C library during 'pthread_mutex_lock': Resource deadlock avoided.  Aborting.

To reproduce:

1. Create new directory.
2. Enter that new directory.
3. Right click on the path selector (on the new directory name) and choose Delete.
4. Instant crash.


This is FreeBSD 11.1-RELEASE with caja from official packages.
Comment 1 vermaden 2017-08-21 01:12:15 UTC
Same as this: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221679#add_comment
Comment 2 vermaden 2018-01-27 20:16:46 UTC
You may CLOSE this bug as it has been fixed in GLIB:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199872
Comment 3 vermaden 2018-05-24 08:59:55 UTC
It does not crash now.